paTestData Struct Reference

## Data Fields

float | sine [TABLE_SIZE]
int | phase
OceanWave * | waves [16]
unsigned | noOfActiveWaves
PaUtilRingBuffer | rBufToRT
void * | rBufToRTData
PaUtilRingBuffer | rBufFromRT
void * | rBufFromRTData
PinkNoise | leftPink
PinkNoise | rightPink
unsigned int | sampsToGo
int | frameIndex
int | maxFrameIndex
SAMPLE * | recordedSamples
unsigned | frameIndex
int | threadSyncFlag
SAMPLE * | ringBufferData
PaUtilRingBuffer | ringBuffer
FILE * | file
void * | threadHandle
float | left_phase
float | right_phase
int | left_phase
int | right_phase
char | message [20]
short * | buffer
int | bufferSampleCount
int | playbackIndex
int | currentChannel
int | cycleCount

## Detailed Description

Definition at line 65 of file paex_mono_asio_channel_select.c.

## Field Documentation

## buffer

short* paTestData::buffer

Definition at line 69 of file paex_wmme_ac3.c.

## bufferSampleCount

int paTestData::bufferSampleCount

Definition at line 70 of file paex_wmme_ac3.c.

## currentChannel

int paTestData::currentChannel

Definition at line 71 of file paex_wmme_surround.c.

## cycleCount

int paTestData::cycleCount

Definition at line 72 of file paex_wmme_surround.c.

## file

FILE* paTestData::file

Definition at line 100 of file paex_record_file.c.

## frameIndex [1/2]

int paTestData::frameIndex

Definition at line 83 of file paex_record.c.

## frameIndex [2/2]

unsigned paTestData::frameIndex

Definition at line 96 of file paex_record_file.c.

## left_phase [1/2]

float paTestData::left_phase

Definition at line 52 of file paex_saw.c.

## left_phase [2/2]

int paTestData::left_phase

Definition at line 60 of file paex_sine.c.

## leftPink

PinkNoise paTestData::leftPink

Definition at line 162 of file paex_pink.c.

## maxFrameIndex

int paTestData::maxFrameIndex

Definition at line 84 of file paex_record.c.

## message

char paTestData::message[20]

Definition at line 62 of file paex_sine.c.

## noOfActiveWaves

unsigned paTestData::noOfActiveWaves

Definition at line 308 of file paex_ocean_shore.c.

## phase

int paTestData::phase

Definition at line 68 of file paex_mono_asio_channel_select.c.

## playbackIndex

int paTestData::playbackIndex

Definition at line 71 of file paex_wmme_ac3.c.

## rBufFromRT

PaUtilRingBuffer paTestData::rBufFromRT

Definition at line 315 of file paex_ocean_shore.c.

## rBufFromRTData

void* paTestData::rBufFromRTData

Definition at line 316 of file paex_ocean_shore.c.

## rBufToRT

PaUtilRingBuffer paTestData::rBufToRT

Definition at line 311 of file paex_ocean_shore.c.

## rBufToRTData

void* paTestData::rBufToRTData

Definition at line 312 of file paex_ocean_shore.c.

## recordedSamples

SAMPLE* paTestData::recordedSamples

Definition at line 85 of file paex_record.c.

## right_phase [1/2]

float paTestData::right_phase

Definition at line 53 of file paex_saw.c.

## right_phase [2/2]

int paTestData::right_phase

Definition at line 61 of file paex_sine.c.

## rightPink

PinkNoise paTestData::rightPink

Definition at line 163 of file paex_pink.c.

## ringBuffer

PaUtilRingBuffer paTestData::ringBuffer

Definition at line 99 of file paex_record_file.c.

## ringBufferData

SAMPLE* paTestData::ringBufferData

Definition at line 98 of file paex_record_file.c.

## sampsToGo

unsigned int paTestData::sampsToGo

Definition at line 164 of file paex_pink.c.

## sine

float paTestData::sine

Definition at line 67 of file paex_mono_asio_channel_select.c.

## threadHandle

void* paTestData::threadHandle

Definition at line 101 of file paex_record_file.c.

## threadSyncFlag

int paTestData::threadSyncFlag

Definition at line 97 of file paex_record_file.c.

## waves

OceanWave* paTestData::waves[16]

Definition at line 307 of file paex_ocean_shore.c.

The documentation for this struct was generated from the following files:

- paex_mono_asio_channel_select.c
- paex_ocean_shore.c
- paex_pink.c
- paex_record.c
- paex_record_file.c
- paex_saw.c
- paex_sine.c
- paex_wmme_ac3.c
- paex_wmme_surround.c